NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Formboard::OrientBranchBuilder Class Reference

Builder for "Orient Branch" operation used in formboard. More...

Inheritance diagram for NXOpen::Formboard::OrientBranchBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BranchAngleMethod { BranchAngleMethodAnglefromReferenceVector, BranchAngleMethodAngle, BranchAngleMethodAlignAxisToVector, BranchAngleMethodTwoPoints }
 Enum to define the type of method to orient branch. More...
 

Public Member Functions

NXOpen::Formboard::OrientBranchBuilder::BranchAngleMethod BranchAngleType ()
 Returns the user selected Formboard::OrientBranchBuilder::BranchAngleMethod
Created in NX7.5.0.
 
NXOpen::PointFromPoint ()
 Returns the user selected from point when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints .
 
NXOpen::DirectionFromVector ()
 Returns the user selected from vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAlignAxisToVector .
 
void InitializeFromSegment ()
 Initializes or resets ( start or stop ) drag operation based on the input branch segment.
 
NXOpen::DirectionReferenceVector ()
 Returns the user selected reference vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAnglefromReferenceVector .
 
NXOpen::ExpressionRefRotationAngle ()
 Returns the angle for the rotation of branch when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAnglefromReferenceVector .
 
NXOpen::ExpressionRotationAngle ()
 Returns the angle for the rotation of branch when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAngle .
 
NXOpen::Routing::RouteObjectCollectorSelectBranch ()
 Returns the user selected branch Routing::ISegment for rotation.
 
void SetBranchAngleType (NXOpen::Formboard::OrientBranchBuilder::BranchAngleMethod branchAngleType)
 Sets the user selected Formboard::OrientBranchBuilder::BranchAngleMethod
Created in NX7.5.0.
 
void SetBranchSeedObject (NXOpen::Routing::ISegment *segmentTag)
 Sets the selected branch Routing::ISegment when a branch is selected by branch method by Routing Object Collector.
 
void SetFromPoint (NXOpen::Point *fromPoint)
 Sets the user selected from point when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints .
 
void SetFromVector (NXOpen::Direction *fromVector)
 Sets the user selected from vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAlignAxisToVector .
 
void SetReferenceVector (NXOpen::Direction *referenceVector)
 Sets the user selected reference vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAnglefromReferenceVector .
 
void SetToPoint (NXOpen::Point *toPoint)
 Sets the user selected to point when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints .
 
void SetToVector (NXOpen::Direction *toVector)
 Sets the user selected to vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAlignAxisToVector .
 
void StartDrag ()
 Starts the drag operation of selected object.
 
void StopDrag ()
 Stop the drag operation of selected object.
 
NXOpen::PointToPoint ()
 Returns the user selected to point when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints .
 
NXOpen::DirectionToVector ()
 Returns the user selected to vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAlignAxisToVector .
 
void UnSuppressConstraints ()
 Suppress the Positioning::Constraint associated with selected branch Routing::ISegment when a branch is selected by branch method by Routing Object Collector.
 
void UpdateRotationAngle (double angle)
 Rotates the branch by an appropriate rotation and transformation which depends on the Formboard::OrientBranchBuilder::BranchAngleMethod selected by user.
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder.
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder.
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit.
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder.
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results.
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called.
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t GetTag () const
 
<b>Deprecated</b>:<br>

   Use Tag instead.

 
tag_t Tag () const
 Returns the tag of this object.
 

Detailed Description

Builder for "Orient Branch" operation used in formboard.

     Allows user to orient the branch by different methods.
  <br> To create a new instance of this class, use @link Formboard::FormboardManager::CreateOrientBranchBuilder  Formboard::FormboardManager::CreateOrientBranchBuilder @endlink  <br> 

Default values.

Property Value

BranchAngleType

AnglefromReferenceVector

RotationAngle.Value

0


Created in NX7.5.0.

Member Enumeration Documentation

Enum to define the type of method to orient branch.

Enumerator:
BranchAngleMethodAnglefromReferenceVector 

method to rotate branch with respect to selected vectors

BranchAngleMethodAngle 

method to rotate branch by angle

BranchAngleMethodAlignAxisToVector 

method to rotate branch by an angle between two vectors

BranchAngleMethodTwoPoints 

method to rotate branch by and angle between two points

Member Function Documentation

NXOpen::Formboard::OrientBranchBuilder::BranchAngleMethod NXOpen::Formboard::OrientBranchBuilder::BranchAngleType ( )

Returns the user selected Formboard::OrientBranchBuilder::BranchAngleMethod
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

NXOpen::Point* NXOpen::Formboard::OrientBranchBuilder::FromPoint ( )

Returns the user selected from point when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints .


Deprecated:
Deprecated in NX8.5.0. This Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints is no longer supported.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

NXOpen::Direction* NXOpen::Formboard::OrientBranchBuilder::FromVector ( )

Returns the user selected from vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAlignAxisToVector .


Deprecated:
Deprecated in NX8.5.0. This builder attribute is no longer required.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

void NXOpen::Formboard::OrientBranchBuilder::InitializeFromSegment ( )

Initializes or resets ( start or stop ) drag operation based on the input branch segment.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

NXOpen::Direction* NXOpen::Formboard::OrientBranchBuilder::ReferenceVector ( )

Returns the user selected reference vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAnglefromReferenceVector .


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

NXOpen::Expression* NXOpen::Formboard::OrientBranchBuilder::RefRotationAngle ( )

Returns the angle for the rotation of branch when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAnglefromReferenceVector .


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

NXOpen::Expression* NXOpen::Formboard::OrientBranchBuilder::RotationAngle ( )

Returns the angle for the rotation of branch when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAngle .


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

NXOpen::Routing::RouteObjectCollector* NXOpen::Formboard::OrientBranchBuilder::SelectBranch ( )

Returns the user selected branch Routing::ISegment for rotation.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

void NXOpen::Formboard::OrientBranchBuilder::SetBranchAngleType ( NXOpen::Formboard::OrientBranchBuilder::BranchAngleMethod  branchAngleType)

Sets the user selected Formboard::OrientBranchBuilder::BranchAngleMethod
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
branchAngleTypebranchangletype
void NXOpen::Formboard::OrientBranchBuilder::SetBranchSeedObject ( NXOpen::Routing::ISegment segmentTag)

Sets the selected branch Routing::ISegment when a branch is selected by branch method by Routing Object Collector.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

Parameters
segmentTagselected seed object
void NXOpen::Formboard::OrientBranchBuilder::SetFromPoint ( NXOpen::Point fromPoint)

Sets the user selected from point when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints .


Deprecated:
Deprecated in NX8.5.0. This Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints is no longer supported.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

Parameters
fromPointfrompoint
void NXOpen::Formboard::OrientBranchBuilder::SetFromVector ( NXOpen::Direction fromVector)

Sets the user selected from vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAlignAxisToVector .


Deprecated:
Deprecated in NX8.5.0. This builder attribute is no longer required.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

Parameters
fromVectorfromvector
void NXOpen::Formboard::OrientBranchBuilder::SetReferenceVector ( NXOpen::Direction referenceVector)

Sets the user selected reference vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAnglefromReferenceVector .


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

Parameters
referenceVectorreferencevector
void NXOpen::Formboard::OrientBranchBuilder::SetToPoint ( NXOpen::Point toPoint)

Sets the user selected to point when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints .


Deprecated:
Deprecated in NX8.5.0. This Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints is no longer supported.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

Parameters
toPointtopoint
void NXOpen::Formboard::OrientBranchBuilder::SetToVector ( NXOpen::Direction toVector)

Sets the user selected to vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAlignAxisToVector .


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

Parameters
toVectortovector
void NXOpen::Formboard::OrientBranchBuilder::StartDrag ( )

Starts the drag operation of selected object.

Does nothing if drag has already been started.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

void NXOpen::Formboard::OrientBranchBuilder::StopDrag ( )

Stop the drag operation of selected object.

Does nothing if drag has not been started.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

NXOpen::Point* NXOpen::Formboard::OrientBranchBuilder::ToPoint ( )

Returns the user selected to point when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints .


Deprecated:
Deprecated in NX8.5.0. This Formboard::OrientBranchBuilder::BranchAngleMethodTwoPoints is no longer supported.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

NXOpen::Direction* NXOpen::Formboard::OrientBranchBuilder::ToVector ( )

Returns the user selected to vector when Formboard::OrientBranchBuilder::BranchAngleMethod is Formboard::OrientBranchBuilder::BranchAngleMethodAlignAxisToVector .


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

void NXOpen::Formboard::OrientBranchBuilder::UnSuppressConstraints ( )

Suppress the Positioning::Constraint associated with selected branch Routing::ISegment when a branch is selected by branch method by Routing Object Collector.


Deprecated:
Deprecated in NX7.5.3. This method is no longer relevant and calls to this can be safely removed.


Created in NX7.5.3.

License requirements : routing_harness ("Routing Harness")

void NXOpen::Formboard::OrientBranchBuilder::UpdateRotationAngle ( double  angle)

Rotates the branch by an appropriate rotation and transformation which depends on the Formboard::OrientBranchBuilder::BranchAngleMethod selected by user.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

Parameters
angleangle for rotation

The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.